title = "Catalog"
url = "/:catalog*"
meta_title = "Mariano Rubinacci - Catalogo"
is_hidden = 0

[viewBag]
localeMeta_title[en] = "Mariano Rubinacci - Catalog"

[AnagraficaView]

[CategoryHelper]
slug = "{{ :catalog }}"
slug_required = 1
smart_url_check = 1
debug = 0
has_wildcard = 1
skip_error = 1

[localePicker]
forceUrl = 0

[Cart]

[Pagination]
available_count_per_page = 100
count_per_page = 12
pagination_limit = 5
active_class = "act"
button_list = "prev,main,next"
first_button_name = "First"
first_button_limit = 3
first-more_button_name = "..."
first-more_button_limit = 1
prev_button_name = "Prev"
prev_button_limit = 1
prev-more_button_name = "..."
prev-more_button_limit = 1
next-more_button_name = "..."
next-more_button_limit = 1
next_button_name = "Next"
next_button_limit = 1
last-more_button_name = "..."
last-more_button_limit = 1
last_button_name = "Last"
last_button_limit = 3

[CartHelper CartHelperCart]
debug = 0
category_filters = 0

[Logout]
mode = "ajax"
redirect_on = 1
redirect_page = "mio-account"

[SimpleCatalogHelper SimpleCatalogHelperSearch]
slug = "{{ :slug }}"
slug_required = 1
skip_error = 0

[Agent]

[cookieNotice]
loadCss = 1
==
<!DOCTYPE html>
<html lang="it">
	<head>
	    <meta charset="utf-8">
	    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	    <meta name="format-detection" content="telephone=no">
	    <meta name="apple-mobile-web-app-capable" content="yes">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="apple-touch-icon">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="icon">
	    <link rel="alternate" hreflang="{{ activeLocale == 'it' ? 'en' : 'it'}}" href="/{{ activeLocale == 'it' ? localesurl.lists(alternateUrl)[0] : localesurl.lists(alternateUrl)[1]}}">
	    <meta name="author" content="">
	    <meta name="keywords" content="">
	    <meta name="description" content="{{ obCategory.description|raw|cleanhtml}}">
	    <title>Mariano Rubinacci - {{obCategory.name}}</title>
	    <link rel="stylesheet" href="{{ 'assets/plugins/bootstrap4/css/bootstrap.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/owl-carousel/assets/owl.carousel.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/slick/slick/slick.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/lightGallery-master/dist/css/lightgallery.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/jquery-ui/jquery-ui.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/pe7/pe-icon-7-stroke/css/pe-icon-7-stroke.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/rubinacci.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/custom.css'|theme }}">
	    <link rel="stylesheet"href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.0.0/animate.min.css"/>
	    <link rel="stylesheet" href="{{ 'assets/css/style-ims.css'|theme }}">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/brands.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/fontawesome.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/regular.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/svg-with-js.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/v4-shims.min.css" rel="stylesheet" crossorigin="anonymous">
	    <link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/style.css'|theme }}">
    	<link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/ionicons.min.css'|theme }}">

	    {% partial 'userscripts' %}
    </head>


	<body>
		<!-- POPUP COOKIE -->
		{% component 'cookieNotice' %}

	    {% partial 'menu' %}

	    {# Get array with pagination buttons #}
		{% set iPage = Pagination.getPageFromRequest() %}

		{% set obProductCount = obProductList.count() %}

		{# Apply pagination to product collection and get array with product items #}
		{% set obProductList = obProductList.page(iPage, Pagination.getCountPerPage()) %}


	    <div class="ps-page">

            {% if error404 %}
 				{% partial 'error404' %}
		    </div>
            {% else %}
	        <div class="container">
	            <div id="category-intro" class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 font-color">
	                <h1>{{obCategory.name|upper}}</h1>
	                <div class="category-description">
					{{obCategory.description|raw|cleanhtml('<p>')}}
					</div>
	            </div>
	            <hr>
	        </div>

	        <div class="ps-shopping ps-shopping--sidebar">
	            <div class="container">

	                <div class="row prod-filt">
	                	{% if Agent.isDesktop() %}
		                    <div class="col-xl-3 col-lg-12 col-md-12 col-sm-12 col-12 ">
		                        <div class="ps-filter active mob-filt">

		                            <div class="ps-filter__content">
											<form id="form_filter" class="form">
												{% if obCategoryTree|length > 0 %}
													<aside id="cat-filter" class="widget widget_shop widget_size" style="display: block">
														<div id="filter-panel-title" data-panel-id="456" onclick="showPanel(this)" style="cursor: pointer">
															<h3 class="widget-title">
																{{'Categorie'|_}}
															</h3>
															<i id="panel-arrow-456" class="fa fa-angle-down filt-panel"></i>
														</div>
														<div id="panel-content-456" class="mg-bt-10 custom-scrollbar" style="display: none">
															<ul class="ps-list--plus ps-accordion__content">
																{% for obCategory in obCategoryTree|sort((a, b) => a.id <=> b.id) %}
																	{% if obCategory.getGi() %} 
																		<li data-id="{{ obCategory.id }}"> 
																			<input
																				type="checkbox"
																				name="category_{{ obCategory.id }}"
																				id="category_{{ obCategory.id }}"
																				{% if arAppliedPropertyList[obCategory.id] is not empty and obCategory.slug in arAppliedPropertyList[obCategory.id] %}
																					checked="checked"
																				{% endif %}
																				value="category_{{ obCategory.id }}-main">
																			<label for="category_{{ obCategory.id }}">{{ obCategory.name }}</label>
																		</li>
																		{% if obCategory.children.isNotEmpty() %}
																			<ul class="ps-list--plus ps-accordion__content mg-lf">
																				{% for obChildCategory in obCategory.children|sort((a, b) => a.id <=> b.id) if obChildCategory.product_count > 0 and obChildCategory.active != 1  %}
																						<li data-id="{{ obChildCategory.id }}">
																							<input
																								type="checkbox"
																								name="category_{{ obChildCategory.id }}"
																								id="category_{{ obChildCategory.id }}"
																								{% if arAppliedPropertyList[obChildCategory.id] is not empty and obChildCategory.slug in arAppliedPropertyList[obChildCategory.id] %}
																									checked="checked"
																								{% endif %}
																								value="category_{{ obChildCategory.id }}-category_{{ obCategory.id }}">
																							<label for="category_{{ obChildCategory.id }}">{{ obChildCategory.name }}</label>
																						</li>
																				{% endfor %}
																			</ul>
																		{% endif %}
																	{% endif %}
																{% endfor %}
															</ul>
														</div>
													</aside>
												{% endif %}


												{# Render proeprty list #}
												{% set propertyList = obProductPropertyList|merge(obOfferPropertyList) %}


												{% if this.param.catalog == 'outlet' %}
													{% for obProperty in propertyList if obProperty.hasValue() %}

														{% partial 'filtersPanel' obProperty = obProperty %}

													{% endfor %}
												{% else %}
													{% for obProperty in propertyList if obProperty.hasValue() and obProperty.property_value|length > 1 %}

														{% partial 'filtersPanel' obProperty = obProperty %}

													{% endfor %}
												{% endif %}

											</form>
		                            </div>
		                        </div>
		                    </div>
	                    {% endif %}
	                    <div class="col-xl-9 col-lg-12 col-md-12 col-sm-12 col-12 prod-list">
	                        <div class="ps-shopping__content">
	                        	<div class="row">
	                        		{% if not Agent.isMobile() %}
		                        		<div class="col-md-4">
		                        			<div class="ps-filter--shopping fl-left">
							                    <div class="form-group__content">
		                        					<p id="number-results">{{ obProductCount }} {{'Risultati'|_}}</p>
		                        				</div>
		                        			</div>
		                        		</div>
		                        	{% endif %}
	                        		<div class="col-12 filter-col col-md-8">
                        				{% if Agent.isMobile() %}
                        					<div class="ps-filter--shopping fl-left">
							                    <div class="form-group__content">
		                        					<p class="mg-t-1rem" id="number-results">{{ obProductCount }} {{'Risultati'|_}}</p>
		                        				</div>
		                        			</div>
                        				{% endif %}
	                        			<div class="ps-filter--shopping">
						                    <div class="form-group__content">
						                        <form class="form" onchange="changeSorting()">
													<select name="sorting" id="sorting-options" class="form-control">
														<!-- <option value="custom|season_desc">{{ 'Ordina per'|_ }} {{'Stagione - Ultimi arrivi'|_}}</option> -->
														<option value="new">{{ 'Ordina per'|_ }} {{'Ultimi arrivi'|_}}</option>
														<option value="price|asc">Ordina per {{'Prezzo crescente'|_}}</option>
														<option value="price|desc">Ordina per {{'Prezzo decrescente'|_}}</option>
													</select>
												</form>
						                    </div>
						                </div>
	                        		</div>
	                        		{% if Agent.isMobile() %}
		                        		<div class="col-12 filter-col">
		                        			<div class="ps-filter--shopping fnt-sz-20 fl-l">
		                        				<div class="">
													<a class="ps-filter__trigger" href="#" id="filter-sidebar">
														<i class="fa fa-sliders-h"></i>
													</a>
												</div>
												<div class="fl-l" id="filter-sidebar">
													<a class="" href="#" >
														<p>{{'Filtra per '|_}}
														{% if obCategoryTree|length > 0 %}
															{{'categorie, taglia'|_}}
														{% else %}
															{{'colore, taglia'|_}}
														{% endif %}
														</p>
													</a>
												</div>
											</div>
										</div>
									{% endif %}
	                        	</div>
	                        	<div class="panel-product-list">
									{% partial 'productListOnly' %}
	                            </div>
	                        </div>
	                    </div>
	                </div>
	            </div>
	        </div>
	        {% endif %}
	    </div>

	    {% partial 'footer' %}

	    {% if Agent.isMobile() %}
	       {% if error404 %}
	 			{% partial 'error404' %}
		    </div>
	        {% else %}
		    	<div class="ps-filter--sidebar">
	      		<div class="ps-filter__header">
		        	<h3>{{'Filtri'|_}}</h3>
		        	<a class="ps-btn--close ps-btn--no-boder" href="#"></a>
		      	</div>
				<div class="ps-filter__content">
					<form id="form_filter" class="form">
                		{% if obCategoryTree|length > 0 %}
                    		<aside id="cat-filter" class="widget widget_shop widget_size" style="display: block">
								<div id="filter-panel-title" data-panel-id="456" onclick="showPanel(this)" style="cursor: pointer">
							        <h3 class="widget-title">
										{{'Categorie'|_}}
									</h3>
							        <i id="panel-arrow-456" class="fa fa-angle-down filt-panel"></i>
							    </div>
								<div id="panel-content-456" class="mg-bt-10 custom-scrollbar" style="display: none">
									<ul class="ps-list--plus ps-accordion__content">

										{% for obCategory in obCategoryTree|sort((a, b) => a.slug <=> b.slug) if obCategory.product_count > 0 and obCategory.active != 1 %}
											<li data-id="{{ obCategory.id }}">
												<input
								                    type="checkbox"
								                    name="category_{{ obCategory.id }}"
								                    id="category_{{ obCategory.id }}"
								                    {% if arAppliedPropertyList[obCategory.id] is not empty and obCategory.slug in arAppliedPropertyList[obCategory.id] %}
								                        checked="checked"
								                    {% endif %}
								                    value="category_{{ obCategory.id }}-main">
								                <label for="category_{{ obCategory.id }}">{{ obCategory.name }}</label>
							             	</li>
							             	{% if obCategory.children.isNotEmpty() %}
							             		<ul class="ps-list--plus ps-accordion__content mg-lf">
							             			{% for obChildCategory in obCategory.children|sort((a, b) => a.slug <=> b.slug) if obChildCategory.product_count > 0 and obChildCategory.active != 1  %}
							             				<li data-id="{{ obChildCategory.id }}">
															<input
											                    type="checkbox"
											                    name="category_{{ obChildCategory.id }}"
											                    id="category_{{ obChildCategory.id }}"
											                    {% if arAppliedPropertyList[obChildCategory.id] is not empty and obChildCategory.slug in arAppliedPropertyList[obChildCategory.id] %}
											                        checked="checked"
											                    {% endif %}
											                    value="category_{{ obChildCategory.id }}-category_{{ obCategory.id }}">
											                <label for="category_{{ obChildCategory.id }}">{{ obChildCategory.name }}</label>
														</li>
													{% endfor %}
												</ul>
											{% endif %}
							             {% endfor %}
									</ul>
								</div>
							</aside>
						{% endif %}
						{# Render proeprty list #}
	                   	{% set propertyList = obProductPropertyList|merge(obOfferPropertyList) %}


					    {% if this.param.catalog == 'outlet' %}
						    {% for obProperty in propertyList if obProperty.hasValue() %}

						        {% partial 'filtersPanel' obProperty = obProperty %}

						    {% endfor %}
						{% else %}
							{% for obProperty in propertyList if obProperty.hasValue() and obProperty.property_value|length > 1 %}

						        {% partial 'filtersPanel' obProperty = obProperty %}

						    {% endfor %}
						{% endif %}
					</form>
				</div>
		    </div>
		    {% endif %}
		{% endif %}

	    <!-- Plugins-->
	    <script src="{{ 'assets/plugins/jquery-1.12.4.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/bootstrap4/js/bootstrap.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/owl-carousel/owl.carousel.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/slick/slick/slick.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery-bar-rating/dist/jquery.barrating.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/lightGallery-master/dist/js/lightgallery-all.min.js'|theme }}"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/brands.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/fontawesome.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/regular.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/solid.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/v4-shims.min.js"></script>
	    <!-- Custom scripts-->
	    <script src="{{ 'assets/js/main.js'|theme }}"></script>
	    <script src="{{ 'assets/js/main-ims.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/megamenu-js-master/js/megamenu.js'|theme }}"></script>

	    <script>
	    	//variabile contenente i filtri salvati nello storage del browser
	    	const storageName = 'checkboxValue_' + {{obCategory.id}};
	    	//salvataggio dei dati nello storage del browser


	    	$(document).ready(function(){
				changeSorting(localStorage.getItem('filter_value'));

	    		// Legge i filtri scelti dalla categoria attuale
		    	var storageObject = JSON.parse(localStorage.getItem(storageName)) || {};
		    	// svuota tutto per cancellare la cache delle altre categorie
		    	localStorage.clear();
		    	localStorage.setItem(storageName, JSON.stringify(storageObject));

				//ripristino dei filtri precedentemente selezionati ed riapertura dei relativi panel
				if(Object.keys(storageObject).length > 0){
					for(item in storageObject){
						$('#'+item+'').prop("checked", storageObject[item]);

						var panelId = item.split("_")
						//console.log(item,panelId);
						if(panelId[0] == 'category'){
							panelId = '456';
						}else{
							panelId = panelId[1];
						}
						var divId = "panel-content-"+panelId;
						document.getElementById(divId).style.display = "block";
					}
				}

			});

			function showPanel(div){
				var divId = "panel-content-"+div.getAttribute("data-panel-id")+"";
				var panelArrow = "#panel-arrow-"+div.getAttribute("data-panel-id")+"";

				if(document.getElementById(divId).style.display == "none"){
					document.getElementById(divId).style.display = "block";
					$(panelArrow).removeClass('fa-angle-down');
					$(panelArrow).addClass('fa-angle-up');
				}else{
					document.getElementById(divId).style.display = "none";
					$(panelArrow).removeClass('fa-angle-up');
					$(panelArrow).addClass('fa-angle-down');
				}
			}

	    	$(document).on("click", "#filter-sidebar",function(e){
	    		e.preventDefault();
	    		$(".ps-filter--sidebar").addClass("active");
	    		$(".ps-site-overlay").addClass("active")
	    	});

	    	$(".ps-cart--sidebar .ps-cart__header .ps-btn--close").on("click",function(e){
	    		e.preventDefault();
	    		$(".ps-filter--sidebar").removeClass("active");
	    		$(".ps-site-overlay").removeClass("active")
	    	});

	    	$(".ps-btn--close.ps-btn--no-boder").on("click",function(e){
	    		e.preventDefault();
	    		$(".ps-filter--sidebar").removeClass("active");
	    		$(".ps-site-overlay").removeClass("active")
	    	});


	        var data = [];

			/*
			 * Script per la paginazione: inibisce il link del tag a e fa partire l'ajax per non ricaricare tutta la pagina quando si ci sposta su quella succ. o prec.
			 */
			$(document).on('click', `.page-link`, (e) => {
				e.preventDefault();
				e.stopPropagation();
				const button = $(e.currentTarget),
					page = button.attr('data-page');

				//azione per tenere traccia del numero della paginazione in caso si cambi pag e si torni indietro
				history.pushState(history.state, "", "?page="+page)

				if (button.parent('li').hasClass('.active')) {
					return;
				}

				var sort = document.getElementById("sorting-options").value;;
				var filters = $('#form_filter').serializeArray();
			 	var post = {sort_type: sort, properties: filters, pageCost: page, pagination: 1};


				$.request('onPagination', {
					data: post,
				  	loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
				  	complete: function() {
				  		$('html, body').animate({scrollTop: '0px'}, 300);
				  	},
				});
			});

			// Abilita esecuzione dei filtri su categorie
			$(document).on('change','#form_filter :checkbox',function(){
				// Cliccato su una categoria gestisco i checkbox
				if ( this.name.startsWith("category") )
				{
					var catVal = this.value.split("-");
					if(catVal[1].startsWith("category")){
			 			$('#'+catVal[1]).prop( "checked", false );
			 		}else if(catVal[1].startsWith("main")){
			 			var data = $('#form_filter').serializeArray();
					 	for(i = 0; i < data.length; i++){
					 		var catValSon = data[i].value.split("-");
					 		if(catValSon[1] && catValSon[1].startsWith("category") && catValSon[1] == catVal[0] ){
					 			$('#'+catValSon[0]).prop( "checked", false );
					 		}
					 	}
			 		}
				}

				//salvataggio filtri nello storage del browser per il recupero quando si ritorna sulla pagina, ad esempio dopo esser entrato su un prodotto di quelli filtrati

				// oggetto che contine tutti i filtri selezionati
				var storageObject = JSON.parse(localStorage.getItem(storageName)) || {};

				if( storageObject.hasOwnProperty(this.id)){

					delete storageObject[this.id]; // elimina la chiave del filtro dall'oggetto
					localStorage.setItem(storageName, JSON.stringify(storageObject));
				}else{

					storageObject[this.id] = this.checked;

					localStorage.setItem(storageName, JSON.stringify(storageObject));

				}


			    filterProducts();
			    $(".ps-filter--sidebar").removeClass("active");
	    		$(".ps-site-overlay").removeClass("active")
	     	});

			 $("#select").change(function() {
			    filterProducts();
			    $(".ps-filter--sidebar").removeClass("active");
	    		$(".ps-site-overlay").removeClass("active")
	     	 });


			function changeSorting(param = null) {
				if (param == null) {
					var sort = document.getElementById("sorting-options").value;
				} else {
					var sort = param;
				}
				
				localStorage.setItem('filter_value', sort);

				$data = $('#form_filter').serializeArray();
				
				$.request('onChangeSorting', {
					data: {properties: $data, sort_type: sort, pagination: 1},
					loading: $.oc.stripeLoadIndicator,
					// le righe che seguono servono per abilitare il flashmessage utile per debug
					flash: 1,
					handleFlashMessage: function(message, type) {
						$.oc.flashMsg({ text: message, class: type })
					},
					// invece di aggiornare una partial con questa istruzione si può leggere il valore
					complete: function() {
						$('html, body').animate({scrollTop: '0px'}, 300);
					},
					
				});

			}

			function filterProducts() {

			  	$data = $('#form_filter').serializeArray();

			  	var sort = document.getElementById("sorting-options").value;
			  	$.request('onFilterProducts', {
				  	data: {properties: $data, sort_type: sort, pagination: 1},
				  	loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	// flash: 1,
				    // handleFlashMessage: function(message, type) {
				    //     $.oc.flashMsg({ text: message, class: type })
				    // },
				    complete: function(data){
						console.log(data);
				    	$.oc.flashMsg({ text: "Filtro applicato", class: 'success' });
				    	return;
				    }
				});
			}
			$(document).ready(function() {
				setTimeout(() => {
					filterProducts();
				}, 200);
			});

			$(window).on('popstate', function() {
				location.reload(true);
			});

			function logout(){
				$.request('Logout::onAjax', {
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				    complete: function() {
				    	location.reload(false);
				    }
				});
			}
		</script>

	    {% partial 'footerscripts' %}
	    {% scripts %}
    	{% framework extras %}

	</body>

</html>